{% extends 'base.html.twig' %}

{% block title %}
    {{ parent() ~ ' - ' ~ conference }}
{% endblock %}

{% block body %}
    <h2>{{ conference }} Conference</h2>
    {% if comments|length > 0 %}
        <div>There are {{ comments|length }} comments.</div>
        {% for comment in comments %}
            <div>
                {% if comment.photoFilename %}
                    <img src="{{ asset('uploads/photos/' ~ comment.photoFilename) }}" alt="photo">
                {% endif %}
                <h4>{{ comment.author }}</h4>
                <small>
                    {{ comment.createdAt | format_datetime('medium', 'short') }}
                </small>
                <p>{{ comment.text }}</p>
            </div>
        {% endfor %}
        {% if previous >= 0 %}
            <a href="{{ path('conference', {slug: conference.slug, offset:previous}) }}">Previous</a>
        {% endif %}
        {% if next < comments|length %}
            <a href="{{ path('conference', {slug: conference.slug, offset:next}) }}">Next</a>
        {% endif %}
    {% else %}
        <div>No comments have been posted yet for this conference.</div>
    {% endif %}
    <h2>Add your own feedback</h2>
    {{ form(comment_form) }}
{% endblock %}
